#!/bin/bash

INFILE="../../serial/foo.dat"
NBLINES=50000
TMPFILE="/tmp/dd2data.$$"
IMAGE="av4v-h.png"

tail -${NBLINES} ${INFILE} | ./av4v-h.awk > ${TMPFILE}

gnuplot << __EOC__
set term png 	size 1280,420
set output 	"${IMAGE}"
set grid
set title	"Hourly average on the last ${NBLINES} samples"
set xlabel	"Heures"
set ylabel 	"Température"
set yrange	[ 5.0 : 30.0]
plot "${TMPFILE}" with lines
__EOC__

cat -n ${TMPFILE} | tail -20

